#include <bits/stdc++.h>

using namespace std;

int main()
{
     int d=0,j=1,i=0,t,n,m,k;
    cin>>t;
    string a[t];
    for(int i=0;i<t;i++){
       cin>>n>>m>>k;
       if(n%k==0){
        while(d<k){
            for(int j=0;j<n/k;j++){
            m-=j+1;
            }
            d++;
            j=1;
        }
        d=0;
       }
       else{
            while(d<k+(n%k)){
            for(int j=0;j<(n/k)+(n%k);j++){
                m-=j+1;
                }
            d++;
            j=1;
            }
            d=0;
        }

       if(m>=0){
        a[i]="Tak";
       }
       else {
        a[i]="Nie";
       }
    }
    for(int i=0;i<t;i++){
        cout<<a[i]<<endl;
    }


    return 0;
}